| Version: 3.2.5

Public Member Functions | List of all members
wxFileStream Class Reference
Class List by Category » Streams

`#include <wx/wfstream.h>`

Inheritance diagram for wxFileStream:
[legend]

## Detailed Description

This class represents data that can be both read from and written to a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileStream is based in the wxFFile class.

##

Library: wxBase
Category: Streams

See also
  wxFileInputStream, wxFileOutputStream, wxFFileStream

## Public Member Functions

| wxFileStream (const wxString &iofileName)
| Initializes a new file stream in read-write mode using the specified iofileName name. More...
bool | IsOk () const
| Returns true if the stream is initialized and ready. More...
Public Member Functions inherited from wxFileOutputStream
| wxFileOutputStream (const wxString &ofileName)
| Creates a new file with ofileName name and initializes the stream in write-only mode. More...
| wxFileOutputStream (wxFile &file)
| Initializes a file stream in write-only mode using the file I/O object file. More...
| wxFileOutputStream (int fd)
| Initializes a file stream in write-only mode using the file descriptor fd. More...
virtual | ~wxFileOutputStream ()
| Destructor. More...
wxFile * | GetFile () const
| Returns the underlying file object. More...
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object. More...
virtual | ~wxOutputStream ()
| Destructor. More...
virtual bool | Close ()
| Closes the stream, returning false if an error occurs. More...
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write(). More...
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position. More...
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position. More...
virtual wxFileOffset | TellO () const
| Returns the current stream position. More...
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer. More...
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream. More...
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer. More...
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object. More...
virtual | ~wxStreamBase ()
| Destructor. More...
wxStreamError | GetLastError () const
| This function returns the last error. More...
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes. More...
virtual size_t | GetSize () const
| This function returns the size of the stream. More...
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets. More...
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state. More...
bool | operator! () const
| Returns the opposite of IsOk(). More...
Public Member Functions inherited from wxFileInputStream
| wxFileInputStream (const wxString &ifileName)
| Opens the specified file using its ifileName name in read-only mode. More...
| wxFileInputStream (wxFile &file)
| Initializes a file stream in read-only mode using the file I/O object file. More...
| wxFileInputStream (int fd)
| Initializes a file stream in read-only mode using the specified file descriptor. More...
virtual | ~wxFileInputStream ()
| Destructor. More...
wxFile * | GetFile () const
| Returns the underlying file object. More...
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream. More...
virtual | ~wxInputStream ()
| Destructor. More...
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block. More...
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream. More...
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary. More...
virtual size_t | LastRead () const
| Returns the last number of bytes read. More...
virtual char | Peek ()
| Returns the first character in the input queue without removing it. More...
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer. More...
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream. More...
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer. More...
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position. More...
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g. More...
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode. More...
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function. More...

## Additional Inherited Members

Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function. More...
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function. More...
virtual wxFileOffset | OnSysTell () const
| Internal function. More...
Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function. More...

## Constructor & Destructor Documentation

## ◆ wxFileStream()

wxFileStream::wxFileStream | ( | const wxString & | iofileName | ) |

Initializes a new file stream in read-write mode using the specified iofileName name.

Warning
  You should use IsOk() to verify if the constructor succeeded.

## Member Function Documentation

## ◆ IsOk()

bool wxFileStream::IsOk | ( |  | ) | const

virtual

Returns true if the stream is initialized and ready.

This method returns true if the stream can be both read from and written to.

Reimplemented from wxFileOutputStream.